Skip to main content
GET
List evaluations

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

trace_id
string<uuid>
project_id
string<uuid>

Only return evaluations for this project.

metric
string

Exact-match filter on metric_name. Empty string rejected.

Minimum string length: 1
from
string<date-time>

RFC3339 lower bound on created_at (inclusive).

to
string<date-time>

RFC3339 upper bound on created_at (inclusive). Must be >= from when both are set.

score_min
number<float>

Lower bound on score (inclusive). 0.0–1.0.

Required range: 0 <= x <= 1
score_max
number<float>

Upper bound on score (inclusive). 0.0–1.0. Must be >= score_min when both are set.

Required range: 0 <= x <= 1
limit
integer
default:50

Response

Eval list

evals
object[]
required